package org.cs.mgr.user.dao;

import java.util.Map;

import org.cs.core.dao.IBaseDao;
import org.cs.util.Pager;
import org.cs.mgr.user.model.MgmUser;

/**
 * 
 * @ClassName: IMgmUserDao
 * @Description:  
 * @author: sunny_shi
 * @date: 2018-06-09 13:28:55
 */
public interface IMgmUserDao extends IBaseDao<MgmUser> {

	Pager queryMgmUsers(Pager page);
	
	Map<String, Object> loginNamePwd(String name);

	Map<String, Object> findByPersonnalcode(String personnalcode);
	
	MgmUser getByPropertie(String value,String entry) ;

	Pager findMgmUser(Pager page, Map<String, String> map);
	
	public Pager getMgmUsersBySeach(Pager page, Map<String, String> map);
	public Pager getMgmUsersBySeachTj(Pager page, Map<String, String> map);
}
